### Method

# ECal Component get_rrules

since: 3.34

#### Declaration [src]

    GSList*
    e_cal_component_get_rrules (
      ECalComponent* comp
    )

#### Description [src]

Queries the list of recurrence rule properties of a calendar component object. Free the returned list with g_slist_free_full (slist, g_object_unref);, when no longer needed.

Available since: 3.34

#### Return value

Type: A list of `ICalRecurrence*`

A `GSList` of recurrence rules as `ICalRecurrence` structures, or `NULL`, when none exist.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.